Herzlich Willkommen!

1-abc.net Registry Washer
Beschleunigen Sie Ihr System durch Reinigen der Registrierungsdatenbank!

Die Registrierungsdatenbank von Windows (auf Englisch „Registry” genannt) ist der Platz, wo alle Programme wichtige Konfigurationsdaten ablegen. Wenn Sie Ihren Computer starten, überprüft Windows diese Daten, um der installierten Software lokale Einstellungen, Programmpfade, die zuletzt geöffneten Dokumente, spezielle Benutzerkonfigurationen und vieles mehr mitzuteilen.

Unglücklicherweise wird nicht jeder Eintrag, der in die Registrierungsdatenbank geschrieben wurde, automatisch wieder gelöscht, wenn er nicht mehr aktuell ist. Zusätzlich speichert auch Windows selbst einige Daten dorthin, die man nur in den seltensten Fällen wieder benötigt. Solange dies nur einige Einträge betrifft, ist das an sich kein Problem.

Die Sache wird jedoch ungleich schwieriger, sobald die letzte Windows-Installation längere Zeit zurück liegt und je mehr Programme seit dem installiert wurden. Bei jedem Registry-Zugriff verlangsamen alte und unnötige Einträge diesen Prozess. Der 1-abc.net Registry Washer sucht nach diesen alten Einträgen, findet sie und räumt anschließend richtig auf!

Und es gibt einen weiteren Grund, weswegen sich eine Reinigung der Registrierungsdatenbank lohnt: Was auch immer man am Computer gemacht hat, in der Registry finden sich immer wieder Spuren davon. Somit hilft einem der 1-abc.net Registry Washer zusätzlich beim Schutz der Privatsphäre, indem diese alten Daten ebenfalls entfernt werden können.

Probieren Sie es ruhig aus. Sie werden überrascht sein, wie viele „alte Sünden“ dieses Programm auf Ihrem Rechner findet. Und seien Sie nicht überrascht, wenn es einige 100 oder 1.000 werden!

Funktionsübersicht:

  • Einfach bedienbare Oberfläche
  • Auffinden von Einträgen an vorgegebenen Stellen (z.B. RunMRU)
  • Auffinden von Verweisen auf Programme und Dateien, die nicht mehr existieren
  • Auffinden von Verweisen auf Schriften, die nicht mehr installiert sind
  • Schnelle Suche - finden Sie die bekanntesten, unnötigen Einträge in weniger als einer Minute
  • Automatisches Starten des Programms in bestimmten Zeitintervallen
  • Alle Veränderungen können später wieder rückgängig gemacht werden
  • Drucken Sie Ihre Ergebnisse auf Ihrem lokalen Drucker oder über das Netzwerk aus.
  • Analysieren Sie vergangene Reinigungsprozesse anhand der Verlaufsfunktion
  • Die Pfade für Backups und Verlaufsdatei können selbst bestimmt werden
  • Exportieren Sie die Ergebnisse oder die Verlaufsdatei in eine normale *.txt-Datei
  • Alle gefundenen Einträge automatisch zum Löschen markieren lassen
  • Ergebnisliste automatisch im Vollbildmodus anzeigen lassen
  • Definieren Sie eigene Ausnahmen von Regitry-Einträgen, die nicht gelöscht werden sollen
  • Den Reinigungsverlauf unwiderruflich löschen so dass er nicht wieder hergestellt werden kann
  • Das Programm kann auch auf USB-Sticks, Kamerakarten und andere mobile Datenträger installiert werden.
  • Sehr geringe Systemvoraussetzungen

Für Windows® XP/Vista/7/8
Chefentwickler & Dokumentation: Stefan Siegert
Copyright 2005-2015 1-abc.net


Bevor es losgeht ...

Bevor es losgeht …

Diese Produkt hilft Ihnen dabei, Ihr System zu optimieren, indem es die Windows Registrierungsdatenbank aufräumt. Beachten Sie bitte, dass Sie danach Ihr System sehr genau prüfen sollten. Sollten durch die Reinigung irgendwelche Probleme entstanden sein, können Sie die letzte Backupdatei öffnen, um die Änderungen wieder rückgängig zu machen.

Im Menü-Kapitel können Sie mehr darüber erfahren.

In sehr seltenen Fällen kann es außerdem passieren, dass ein Registry-Eintrag so defekt ist, dass Windows selbst nicht mehr auf ihn zugreifen kann. In diesem Fall wird die Suche abgebrochen und automatisch neu gestartet. Bei der nächsten Suche wird dieser Schlüssel dann nicht mehr untersucht.

Wichtiger Hinweis für Benutzer von Windows Vista, Windows 7 und Windows 8: Dieses Programm Zugriff auf System-relevante Bereiche der Registry. Ebenso wie bei jedem anderen Tool, das Änderungen, an wichtigen Dateien, am System oder an Ordnern wie C:\Programme\... vornimmt, kann es notwendig sein, die Benutzerkontenkontrolle (User-Account-Control, "UAC") vor dem Programmstart zu deaktivieren, ansonsten lässt sich leider nicht garantieren, dass das Programm fehlerfrei arbeitet. Und vergessen Sie bitte nicht, nach der Benutzung des Programms diese Funktion wieder zu aktivieren, falls dies gewünscht wird.

Das 1-abc.net Team wünscht Ihnen viel Spaß mit diesem Produkt!


Menu

Datei

Ergebnisse als *.txt-Datei exportieren
Nachdem Sie eine Suche durchgeführt und die Ergebnisse noch nicht gelöscht haben, können Sie hiermit eine Liste der Ergebnisse in eine *.txt-Datei exportieren. Diese Datei können Sie bei Bedarf später durch eigene Kommentare ergänzen.

Ergebnisse drucken
Nachdem Sie eine Suche durchgeführt und die Ergebnisse noch nicht gelöscht haben, kann hiermit eine Liste ausgedruckt werden, in denen alle gefundenen Schlüssel aufgelistet sind. Wählen Sie dazu bitte zuerst einen Drucker aus.

Verlaufsdatei als *.txt-Datei exportieren
Hiermit können Sie die Verlaufsdatei in eine *.txt-Datei exportieren. Diese Datei können Sie bei Bedarf später durch eigene Kommentare ergänzen.

Verlaufsdatei drucken
Hier lässt sich ganz einfach die Verlaufsdatei auf dem Drucker ausgeben. Wählen Sie dazu bitte zuerst einen Drucker aus.

Sprache auswählen
Wenn Sie die Programmoberfläche lieber in einer anderen Sprache betrachten wollen, können Sie diese Einstellung hier vornehmen.

Beenden
Hier können Sie das Programm beenden. Änderungen an den Optionen werden dabei automatisch gespeichert.

Programmfunktionen

Neue Suche starten
Beginnt mit einer neuen Suche nach unnötigen Einträgen. Sie können dafür auch den Button unten rechts klicken.

Optionen
Öffnet den Optionen-Dialog.

Änderungen rückgängig machen
Wann immer Sie Einträge aus der Registrierungsdatenbank mit diesem Programm gelöscht haben, erzeugt dieses Programm eine *.reg-Datei. Klicken Sie hier, um sich diese Backup-Dateien einzusehen. Der Dateiname enthält Datum und Uhrzeit der Erstellung, so dass Sie sehr schnell herausfinden können, welche Datei Sie zur Wiederherstellung benötigen. Klicken Sie einfach auf das jeweilige Backup, Windows zeigt Ihnen daraufhin eine Sicherheitsabfrage an. Wenn Sie diese mit 'Ja' bestätigen, wird der ursprüngliche Zustand Ihrer Registry wieder hergestellt.

Registrieren*

Kostenlosen Testschlüssel anfordern
Von dem ersten Moment an, wo Sie das Programm benutzen, können Sie es 10 Tage lang uneingeschränkt starten. Diese Testphase kann auf insgesamt 30 Tage verlängert werden, wenn Sie sich für einen kostenlosen Testschlüssel registrieren. In diesem Fall wird Ihnen der Testschlüssel per E-Mail zugestellt.

Kostenlosen Vollversionsschlüssel anfordern
Falls Sie eine Version benutzen, die sich per E-Mail zur Vollversion freischalten lässt, klicken Sie bitte hier. Sofern Sie online sind, kann Ihnen in diesem Fall der Vollversionsschlüssel per E-Mail zugestellt werden.

Vollversion jetzt kaufen!
Wählen Sie diesen Punkt, um die Vollversion dieses Produktes per Internet zu erwerben. Dabei werden Sie mit einem Online-Shop verbunden, der Ihnen verschiedenste Zahlungsmöglichkeiten zur Verfügung stellt. Nachdem die Bezahlung getätigt wurde, erhalten Sie einen Vollversionsschlüssel, mit dem Sie das Programm sofort zu uneingeschränkter Funktionalität freischalten können.

Zu ... Upgraden
Wenn diese Version das Angebot enthält, zu einem anderen Softwareprodukt zu einem günstigen Preis upgraden zu können, lässt sich dieser Prozess von hier aus starten. Dabei werden Sie mit einem Online-Shop verbunden, der Ihnen verschiedenste Zahlungsmöglichkeiten zur Verfügung stellt. Nachdem die Bezahlung getätigt wurde, erhalten Sie einen Vollversionsschlüssel zu dem Upgrade-Produkt.

Schlüssel eingeben
Wenn Sie einen Test- oder Vollversionsschlüssel erhalten haben, können Sie diesen hier ganz einfach eingeben. Starten Sie nach der Eingabe das Programm bitte einmal neu.

*) Beachten Sie bitte, dass sich diese Menüpunkte unterscheiden können, je nachdem, ob Sie die Sharewareversion, eine normale Vollversion oder eine Vollversion nach E-Mail-Registrierung benutzen.

Hilfe

Hilfedatei anzeigen
Zeigt Ihnen diese Hilfedatei an. Entweder haben Sie diesen Punkt bereits ausprobiert, oder Sie haben die Taste „F1” gedrückt, was der andere Weg wäre, um an die Hilfedatei zu kommen.

Internetseite von 1-abc.net besuchen
Bringt Sie zur Internetseite von 1-abc.net . Dort können Sie weiterführende Informationen zu diesem Produkt erhalten und natürlich auch andere interessante Software herunterladen oder kaufen. Für diese Funktion sollte Ihre Internetverbindung hergestellt sein.

Über das Programm
Hier finden Sie Copyright-Informationen zu diesem Produkt.


Mit dem Programm arbeiten

Mit den 1-abc.net Registry Washer zu arbeiten ist sehr einfach. Hier können Sie sehen, wie der Hauptbildschirm aussieht.

Wenn Sie das Progrann starten, können Sie entweder zunächst die Optionen für die Suche bearbeiten oder direkt mit der Suche beginnen, indem Sie auf 'Suche Starten' klicken. Mit einem Klick auf den Button 'Schnelle Suche Starten' werden diejenigen Einträge, bei denen die Suche am längsten dauert, im 'Optionen'-Dialog deaktiviert und hinterher wieder aktiviert. Nach der Suche (die ansonsten einige Minuten dauern kann, haben Sie bitte etwas Geduld), sollte Ihr Bildschirm so ähnlich aussehen, wie hier dargestellt.

Sie können diesen Ergebnisbildschirm ganz einfach als Vollbild darstellen lassen indem Sie oben rechts auf das Maximieren-Symbol klicken. Im Optionen-Bildschirm können Sie das Programm so einstellen, dass dies automatisch geschieht. An gleicher Stelle können Sie übrigens auch entscheiden, ob die Suchergebnisse alle automatisch zum Löschen markiert oder nicht ausgewählt werden sollen.

Nun ist es ratsam, die Ergebnisse sehr genau zu prüfen. Die verschiedenen, gefundenen Einträge können über das Tab-Control ausgewählt werden. Weitere Informationen über jeden Eintrag können Sie erhalten, indem Sie ihn markieren und auf 'Mehr Information zum Schlüssel' klicken. Sie können den Eintrag auch doppelt anklicken für weitere Informationen. Sollten Sie der Meinung sein, dass ein Eintrag besser nicht gelöscht werden sollte, so entfernen Sie bitte den Haken vor dem entsprechenden Icon. Sie können auch die Buttons 'Alle auswählen' oder 'Keines auswählen' benutzen, um alle Haken gleichzeitig zu setzen bzw. zu entfernen. Wenn Sie mit der rechten Maustaste in das Ergebnisfeld klicken, bekommen Sie schnellen Zugriff zu weiteren Funktionen angeboten, die Sie auch über das Datei-Menü starten können.

Um mit dem Reinigen zu beginnen, klicken Sie auf 'Einträge löschen' und warten Sie ggf. einen kurzen Moment ... das war es dann schon :-)

Um zu überprüfen, ob wirklich alles gelöscht wurde, können Sie nun natürlich eine neue Suche starten. Wenn Sie die Änderungen an der Registrierungsdatenbank wieder rückgängig machen wollen, wählen Sie bitte die Backup-Funktion aus dem 'Datei'-Menü.


Optionen

Der Optionen-Dialog

Dieser Dialog enthält mehrere Fenster, zwischen denen Sie durch einen Klick auf die Überschriften hin- und herschalten können.

Hier sehen Sie den ersten Dialog, in dem Sie auswählen können, nach welchen unnötigen Einträgen das Programm suchen soll. Im Einzelnen sind dies:

  • RunMRU - Die letzten Einträge, die im Dialog 'Start'-'Ausführen' eingegeben wurden.
  • Such-Assistent - Wenn Sie in der Vergangenheit einmal nach Dateien auf Ihrem Computer gesucht haben, wird Ihnen hier angezeigt, an was sich die Registrierungsdatenbank noch erinnern kann.
  • Letzte Dateien in Paint - Die letzten vier Dateien, die in 'Paint' geöffnet wurden.
  • Letzte Dateien in Wordpad - Die letzten vier Dateien, die in 'Wordpad' geöffnet wurden.
  • Explorer Logs - Ähnlich dem Verlauf im Internet Explorer merkt sich auch der Windows Explorer gelegentlich, welche Verzeichnisse Sie geöffnet haben. Diese Spuren werden Ihnen hiermit angezeigt.
  • Letzte Dateien in Excel - Die letzten vier Dateien, die in 'MS Excel' geöffnet wurden. Beachten Sie bitte: diese Funktion wurde nur mit Excel 2000 getestet.
  • Alte exe-Dateien - Wenn dieser Haken gesetzt ist, sucht das Programm nach exe-Dateien, die in der Registry stehen, aber nicht mehr existieren.
  • Alte Schriften - Hier werden Verweise auf alte Schriften angezeigt, die nicht mehr installiert sind.
  • SharedDLLs' Dateien - In diesem Bereich der Registrierungsdatenbank sollten normalerweise Informationen zu gemeinsam genutzten DLL-Dateien stehen, aber nicht selten werden hier auch einfach nur temporäre Daten gespeichert, wie es Google Earth z.B. tut. Mit dieser Funktion werden unnötige Einträge beider Art gefunden.
  • Alte 'COM/OLE' - Wenn ein DLL-Eintrag gefunden wird, der auf ein nicht existierendes COM/OLE-Objekt zeigt, kann dieser hier angezeigt werden.
  • Alte ActiveX-Dateien - Das gleiche für ActiveX-Dateien.
  • Alte Hilfe-Dateien - Suche nach Einträgen mit der Endung *.hlp oder *.cnt die auf eine Datei zeigen, die nicht mehr existiert.
  • Internetadressen - Was Sie in der Adressleiste des Internet Explorers eingegeben haben, wird in der Registry abgespeichert. Hier werden Ihnen diese Einträge angezeigt und Sie können entscheiden, ob sie gelöscht werden sollen.
  • Uninstall-Einträge - Über die Windows-Systemsteuerung können Sie Programme hinzufügen oder entfernen. Manchmal bleiben dort aber Einträge von Programmen übrig, die nicht mehr installiert sind. Sollte dies der Fall sein, sehen Sie hier diese Einträge und können sie entfernen, damit sie in der Systemsteuerung zukünftig auch nicht mehr auftauchen. Diese Ergebnisse werden nach der Suche im Dialog 'Falsche Dateipfade' angezeigt.
  • OpenDialogMRU - Wenn Sie in verschiedenen Programmen auf Dateien über den Dialog 'Datei'-'Öffnen' zugreifen, so speichern einige Programme diese ausgewählten Pfade ab, damit Ihnen bei der Eingabe eines neuen Dateinamens zukünftig die alten Angaben vorgeschlagen werden können. Mit dieser Funktion werden Ihnen die Programme angezeigt, die solche Speicherungen vorgenommen haben und Sie können entscheiden, ob diese Date weiter zur Verfügung stehen sollen oder nicht.
  • Programmstarts - Beim Ausführen einer *.exe-Datei über den Windows Explorer wird dieser Pfad abgespeichert. Vielleicht möchten Sie nicht, dass diese Daten weiterhin erhältlich sind, dann hilft Ihnen diese Funktion dabei, solche Spuren zu vernichten.
  • Autostart-Einträge - Viele Programme erzeugen Einträge in der Registry, um zusammen mit Windows automatisch gestarte zu werden. Gelegentlich existieren diese Programme aber gar nicht mehr auf Ihrem System, dann kann auch der Eintrag gelöscht werden. Die Ergebnisse werden nach der Suche im Dialog 'Falsche Dateipfade' angezeigt.
Im zweiten Dialog lassen sich Automatisierungseinstellungen vornehmen:

Über den Kalender können Sie bestimmen, wann das Programm eine automatisierte Reinigung durchführen soll. Die erste Checkbox muss dafür aktiviert sein, dann startet das Programm zusammen mit Windows in dem Zeitraum, der hier anzugeben ist.

Eventuell möchten Sie in dem Fall gar nicht informiert werden, ob die Suche gestartet, mit dem Löschen begonnen oder dass dieser Prozess erfolgreich abgeschlossen wurde. Dies können Sie durch die drei Checkboxen darunter Ihren Wünschen entsprechend anpassen.

Hier sehen Sie das dritte Programmfenster:

Hier befindet sich das Protokoll, in dem Ihnen angezeigt wird, wann das Programm gestartet wurde und was Sie seitdem mit dem Programm gemacht haben. Da Ihnen auch hier Datum und Uhrzeit angezeigt werden, kann dies eine große Hilfe sein, wenn Sie die Backup-Funktion nutzen möchten. Rechts neben dem Verlaufsfeld befinden sich vier Buttons, über die Sie diese Datei im Texteditor öffnen (z.B. um eigene Änderungen vorzunehmen), den Verlauf ausdrucken, den Verlauf löschen oder komplett vernichten können.

Im vierten Fenster können weitere Einstellungen vorgenommen werden:

Hier finden Sie eine Übersicht über die Backup-Dateien, die automatisch angelegt wurden, wenn das Programm einen Löschprozess vorgenommen hat. Diese Dateien enthalten immer auch das Datum und die Uhrzeit der Löschung, so dass Sie die Registry auf den entsprechenden Zustand zu diesem Zeitpunkt zurücksetzen können. Markieren Sie einfach eine Backup-Datei und klicken Sie auf 'Rückgängig machen'. Auf die Backup-Dateien können Sie übrigens auch über das Datei-Menü zugreifen.

Im unteren Bereich können Sie Ausnahmen definieren. Geben Sie einfach einen Ausdruck in dem Feld auf der rechten Seite ein und klicken Sie auf 'Ausnahme hinzufügen', um diesen Ausdruck der Liste hinzuzufügen oder klicken Sie auf 'Ausnahme löschen', um ihn wieder von der Liste zu entfernen. Wann immer die Suche auf einen Registry-Eintrag stößt, bei dem der Schlüssel oder der Wert einen Ausdruck dieser Liste (inklusive Platzhalter '*' und '?') trifft, wird dieser nicht der Ergebnislistehinzugefügt und auch unter keinen Umständen gelöscht.

Dies ist der letzte Optionenbildschirm:

Bestimmen Sie hier ganz einfach, wo die Backup-Dateien und das Protokoll auf Ihrem System abgespeichert werden. Diese Angaben werden beim erste Programmstart automatisch bestimmt und sind i.d.R. schon sinnvoll gesetzt. Dennoch können sie hier Ihre eigenen Pfade bestimmen, indem Sie auf 'Durchsuchen' klicken. Sollte in einem Verlaufs-Ordner noch keine Protokolldatei liegen, könnte es notwendig sein, dass das Programm einmal neu starten muss.

Im unteren Bereich des Bildschirms können Sie festlegen, ob im Ergebnisfenster die langen Einträge gekürzt dargestellt werden können, ob alle gefunden Ergebnisse automatisch zum Löschen markiert werden sollen oder ob nach der Suche der Bildschirm automatisch in den Vollbildmodus wechselt.

Ganz unten befinden sich die Buttons, um den Vorgang abzubrechen oder die Änderungen zu übernehmen, indem Sie auf 'OK' klicken.


Über 1-abc.net …

1-abc.net ist ein junges Unternehmen, das 2005 gegründet wurde und aus ambitionierten und sehr erfahrenen Programmierern, Marketingexperten, Distributoren, Grafikern, Übersetzern und Produktmanagern besteht. Der Hauptsitz ist in Deutschland, das Netzwerk aus Mitarbeitern und Freiberuflern erstreckt sich weltweit über sieben Länder.

Die von 1-abc.net abgedeckten Geschäftsfelder umfassen Softwareentwicklung, Softwarevertrieb, IT Consulting und IT Projektmanagement. Seit der Unternehmensgründung sind bereits über 30 Sharewareprodukte erschienen, die von zufriedenen Kunden aus über 50 Ländern der Welt genutzt werden. Neben speziellen Versionen für Zeitschriften-CDs/DVDs und für Internetseiten in ca. 20 Ländern werden 1-abc.net Programme auch von anderen Herstellern unter eigenem Namen als Boxprodukt in Lizenz vertrieben.

Und das bekommen die Anwender geboten:

  • Kleine Installationsdateien, die auch ohne Probleme mit langsamen Internetverbindungen heruntergeladen werden können.
  • Einfache Installation, ein Uninstaller ist immer enthalten.
  • Keine Adware, Spyware, Popup-Werbung oder was sonst heutzutage Software unnötig verlangsamt und vergrößert.
  • Sehr einfach bedienbare Benutzeroberflächen
  • Software, die den Bedürfnissen der Kunden absolut gerecht wird – nicht mehr, aber auch nicht weniger.
  • Einfache Möglichkeit, die Testphase mit einem kostenlosen Registrierungsschlüssel zu verlängern.
Außerdem bietet 1-abc.net mehr als zehn Apps für Android™ Smartphones und Tablet PCs sowie Windows Store Apps an. Auf der Internetseite http://mobile.1-abc.net/de können Sie mehr darüber erfahren.

Support

1-abc.net
Grünenstr. 120
28199 Bremen

Deutschland

Zurzeit ist leider kein Telefon-Support möglich. Besuchen Sie bitte folgende Internetseite um eine Auflistung der häufigsten Fragen angezeigt zu bekommen oder um uns eine E-Mail zu senden:

http://de.1-abc.net/support.htm